# Authorizer [![Build Status](https://travis-ci.org/tejado/Authorizer.svg?branch=master)](https://travis-ci.org/tejado/Authorizer)
A Password Manager for Android with USB Keyboard emulation.  
  
The idea behind Authorizer is, to use old smartphones as a hardware password manager only. To avoid manual typing of long and complex passwords everytime you need them, Authorizer pretends to be an USB keyboard (e.g. over an USB On-The-Go adapter). With a button press inside the App, it will automatically enters the password for you on your pc, laptop, tablet or main smartphone.  

<a href="https://f-droid.org/packages/net.tjado.passwdsafe/" target="_blank">
<img src="https://f-droid.org/badge/get-it-on.png" alt="Get it on F-Droid" height="80"/></a>
<a href="https://play.google.com/store/apps/details?id=net.tjado.passwdsafe" target="_blank">
<img src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png" alt="Get it on Google Play" height="80"/></a>

#### Video Demo:
[![Alt text](https://img.youtube.com/vi/KL2qjMogQMY/0.jpg)](https://www.youtube.com/watch?v=KL2qjMogQMY)
  
Authorizer is based on [PasswdSafe](https://sourceforge.net/projects/passwdsafe/) a Password Safe port for Android smartphones.  

## Roadmap
* Bluetooth support
* NFC support
* Smartcard emulation (e.g. OpenPGP cards, etc.)
* Redesign of the App
* OTP integration

##  Supported keyboard languages ([scancodes](https://en.wikipedia.org/wiki/Scancode))
* English (US)
* German
* German (Apple)
* German (CH)
* French (CH)
* Neo 2 (Layer 1,2 and 3)

##  Requirements
* Android Kernel compiled with [Android Keyboard Gadget](https://github.com/pelya/android-keyboard-gadget)

## Proof of Concept
Proof-of-Concept app for USB Keyboard emulation: [Authorizer-PoC](https://github.com/tejado/Authorizer-PoC)
